<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/SymbolLookup/SymbolVisitor.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::SymbolLookup::SymbolVisitor</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../SymbolLookup.html" >SymbolLookup</a>
</div><div class="class-name">class SymbolVisitor

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/SymbolLookup/Symbol.hh.html" target="detail">../Synopsis/SymbolLookup/Symbol.hh</a></div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbolVisitor" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line30" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="SymbolVisitor-inheritance" src="SymbolVisitor-inheritance.png" hspace="8" vspace="8" border="0" usemap="#SymbolVisitor-inheritance_map" />
<map name="SymbolVisitor-inheritance_map"><area alt="Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" href="SymbolDisplay.html" shape="rect" coords="5, 81, 261, 105" />
<area alt="Scopes/Synopsis/Lexer/InvalidChar.html" href="../Lexer/InvalidChar.html" shape="rect" coords="285, 81, 472, 105" />
</map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;<i>destructor</i> <a class="name" id="_tSymbolVisitor_l_r">~SymbolVisitor</a>()  </div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis_mSymbolLookup_mSymbolVisitor_m_tSymbolVisitor_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line33" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lconst.Symbol_S_r">visit</a>(const&#160;<a href="Symbol.html" >Symbol</a>*)  </div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis_mSymbolLookup_mSymbolVisitor_mvisit_lconst.Symbol_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line35" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lconst.VariableName_S_r">visit</a>(const&#160;<a href="VariableName.html" >VariableName</a>*)  </div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis_mSymbolLookup_mSymbolVisitor_mvisit_lconst.VariableName_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line36" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lconst.ConstName_S_r">visit</a>(const&#160;<a href="ConstName.html" >ConstName</a>*)  </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbolVisitor_mvisit_lconst.ConstName_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line37" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lconst.TypeName_S_r">visit</a>(const&#160;<a href="TypeName.html" >TypeName</a>*)  </div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis_mSymbolLookup_mSymbolVisitor_mvisit_lconst.TypeName_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line38" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lconst.TypedefName_S_r">visit</a>(const&#160;<a href="TypedefName.html" >TypedefName</a>*)  </div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis_mSymbolLookup_mSymbolVisitor_mvisit_lconst.TypedefName_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line39" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lconst.ClassName_S_r">visit</a>(const&#160;<a href="ClassName.html" >ClassName</a>*)  </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbolVisitor_mvisit_lconst.ClassName_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line40" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lconst.EnumName_S_r">visit</a>(const&#160;<a href="EnumName.html" >EnumName</a>*)  </div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis_mSymbolLookup_mSymbolVisitor_mvisit_lconst.EnumName_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line41" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lconst.ClassTemplateName_S_r">visit</a>(const&#160;<a href="ClassTemplateName.html" >ClassTemplateName</a>*)  </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbolVisitor_mvisit_lconst.ClassTemplateName_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line42" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lconst.FunctionName_S_r">visit</a>(const&#160;<a href="FunctionName.html" >FunctionName</a>*)  </div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis_mSymbolLookup_mSymbolVisitor_mvisit_lconst.FunctionName_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line43" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lconst.FunctionTemplateName_S_r">visit</a>(const&#160;<a href="FunctionTemplateName.html" >FunctionTemplateName</a>*)  </div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis_mSymbolLookup_mSymbolVisitor_mvisit_lconst.FunctionTemplateName_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line44" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lconst.NamespaceName_S_r">visit</a>(const&#160;<a href="NamespaceName.html" >NamespaceName</a>*)  </div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis_mSymbolLookup_mSymbolVisitor_mvisit_lconst.NamespaceName_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line45" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:58 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
